This is the DMX splitter for WLED chain.

purpose
=======

WLED chain devices can be inter-connector using Ethernet cables.
They can carry data signal and power.
The DMX splitter allows injecting DMX512 data signal from regular XLR cable, and power from external power supplies.
The WLED chain is electrically isolated from the XLR chain.

usage
=====

To inject DMX512 on the WLED chain link, connect regular DMX512 XLR cable to the XLR adapter DMX IN port.
It uses the prohibited 3-pin variant of the XLR connector because this is most used is amateur DMX512 installations.
The D1+ and D1- signal are mapped from the XLR port (pin 3 and 2, with ground on pin 1) to the RJ45 port (pin 1 and 2, with ground on 7 and 8) according to ANSI E1.11-2008 §7.3.

To inject power on the WLED chain link, connect the external power supply to the XLR adapter DC IN port, either the 2.1/5.5 barrel jack, or the spring terminals.
The input voltage should be within the maximum rating of the WLED chain (6-60V DC).
Plus is mapped on RJ45 pin 4 and 5.
Minus is mapped on RJ45 pin 7 and 8.
This is also according to passive Power-over-Ethernet (PoE) mode B.

properties
==========

The XLR chain and WLED chain circuits are electrically isolated.

The DMX splitter board needs to be powered to operate.
The DMX512 data will then be copied from the XLR chain to the RJ45 port for WLED chain.
The power can come from the 2.1/5.5 barrel jack (marked VIN), the spring terminals (the two terminals next to VIN), or from the WLED chain through the RJ45 port or corresponding terminal.

There is an over-current protection on VIN using a 2.2 A PPTC polymer fuse.
PoE++ allows only up to 960 mA per pair.
We are using two pairs for power transfer, thus allowing a little under 2 A.
This limitation is because CAT5 cables use AWG 24 wires, with a resistance of 0.2 Ohm/m.
Letting more current through would cause the cable to heat above dangerous 75 degC.
To provide more power, use higher voltages, up to 60V.

There is also a reverse polarity protection.
It uses a inline diode.
Thus, on the WLED chain device the voltage will be at least 0.5V lower.
Take this into account when reusing this power rails from the WLED chain.

The yellow LED on the RJ45 port lights on when power is available on VIN.
The green LED on the RJ45 port light on when the electronic on the board is powered, using the on-board DC to DC buck regulator to 5V.

The optional green LED on the center of the board blinks upon DMX512 traffic from the XLR port to RJ45.
The optional red LED on the center of the board blinks upon DMX512 traffic from the RJ45 port to XLR, but this should never happen (it's only for custom mods).

The board can be mounted in waterproof enclosures (for [sonoff](https://www.sonoffegypt.com/products/sonoff-ip66-waterproof-case) or generic [100x68x50 mm](https://www.aliexpress.com/item/1005005622148025.html)).
You can drill holes on the side of the box to get access to the XLR and barrel port.
This will not be waterproof anymore though.
Instead, you can put the corresponding cables through waterproof glands (not large enough for connectors), and connect the individual wires to the spring terminals (mark VIN, DMX IN, and DMX OUT).
Similarly, there are string terminal for the RJ45 wires.
The terminals match the 8P8C pin numbers, and the wire colors are indicated in the bottom.

limitations
===========

The DMX splitter is not RDM compatible.
